import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'config' },
})
export class Config extends BaseModel {
  @prop({ required: false, index: false, zh: '销售模式', remark: '0:平台销售;1:多店铺销售' })
  mode: string;
  @prop({ required: false, index: false, zh: '平台名称' })
  name: string;
  @prop({ required: false, index: false, zh: 'logo' })
  logo: Array<any>;
  @prop({ required: false, index: false, zh: '联系人' })
  contacts: string;
  @prop({ required: false, index: false, zh: '联系电话' })
  tel: string;
  @prop({ required: false, index: false, zh: '用户协议' })
  agreement: string;
  @prop({ required: false, index: false, zh: '底部文案' })
  bottom_title: string;
}
