import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'shop' },
})
export class Shop extends BaseModel {
  @prop({ required: false, index: false, zh: '店铺名称' })
  name: string;
  @prop({ required: false, index: false, zh: 'logo' })
  logo: Array<any>;
  @prop({ required: false, index: false, zh: '店铺地址' })
  address: string;
  @prop({ required: false, index: false, zh: '联系电话' })
  tel: string;
  @prop({ required: false, index: false, zh: '联系人' })
  contacts: string;
  @prop({ required: false, index: false, zh: '营业执照' })
  file: Array<any>;
  @prop({ required: false, index: false, zh: '是否使用', remark: '0:使用;1:禁用', default: '0' })
  is_use: string;
}
