import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'brand' },
})
export class Brand extends BaseModel {
  @prop({ required: false, index: false, zh: '品牌名' })
  name: string;
  @prop({ required: false, index: false, zh: 'logo' })
  logo: Array<any>;
  @prop({ required: false, index: false, zh: '首字母' })
  letter: string;
  @prop({ required: false, index: false, zh: '是否使用', remark: '0:使用;1禁用', default: '0' })
  is_use: string;
}
