import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'user' },
})
export class User extends BaseModel {
  @prop({ required: false, index: false, zh: '微信小程序id' })
  openid: string;
  @prop({ required: false, index: false, zh: '昵称' })
  nick_name: string;
  @prop({ required: false, index: false, zh: '所属店铺', remark: '多店铺模式需要shop' })
  shop: string;
}
