import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Estimate } from '../entity/estimate.entity';
type modelType = ReturnModelType<typeof Estimate>;
@Provide()
export class EstimateService extends BaseService<modelType> {
  @InjectEntityModel(Estimate)
  model: modelType;
}