import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Shop } from '../entity/shop.entity';
type modelType = ReturnModelType<typeof Shop>;
@Provide()
export class ShopService extends BaseService<modelType> {
  @InjectEntityModel(Shop)
  model: modelType;
}
